Recommended update for SAPHanaSR

SUSE Recommended Update: Recommended update for SAPHanaSR
Announcement ID: SUSE-RU-2019:2415-1
Rating: moderate
References: #1082974 #1101373 #1133024 #1133866 #1134106 #1139715 #1149829
Affected Products:
  • SUSE Linux Enterprise Server for SAP 12-SP4
  • SUSE Linux Enterprise Server for SAP 12-SP3

An update that has 7 recommended fixes can now be installed.

Description:

This update for SAPHanaSR fixes the following issues:

  • Fixes a bug where an attribute was not correctly set for remoteNode (bsc#1082974)
  • Does no longer set attributes to prevent unlogged failovers because of empty or unknown attributes (bsc#1134106, bsc#1133024, bsc#1101373)
  • Will now return $OCF_RUNNING_MASTER (8) instead of $OCF_SUCCESS (0) when probing a promoted node (bsc#1133866)
  • Using crm-attributes written by a SAP HANA SR provider hook does improve the data integrity in special error conditions with multiple errors coming in a short time frame (bsc#1139715)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server for SAP 12-SP4:
    zypper in -t patch SUSE-SLE-SAP-12-SP4-2019-2415=1
  • SUSE Linux Enterprise Server for SAP 12-SP3:
    zypper in -t patch SUSE-SLE-SAP-12-SP3-2019-2415=1

Package List:

  • SUSE Linux Enterprise Server for SAP 12-SP4 (noarch):
    • SAPHanaSR-0.153.2-3.8.2
    • SAPHanaSR-doc-0.153.2-3.8.2
  • SUSE Linux Enterprise Server for SAP 12-SP3 (noarch):
    • SAPHanaSR-0.153.2-3.8.2
    • SAPHanaSR-doc-0.153.2-3.8.2

References: